# Constant Field Values

## com.databricks.*

com.databricks.jdbc.api.impl.DatabricksDatabaseMetaData
Modifier and Type
Constant Field
Value
`public static final int`
`DATABASE_MAJOR_VERSION`
`3`
`public static final int`
`DATABASE_MINOR_VERSION`
`1`
`public static final int`
`DATABASE_PATCH_VERSION`
`1`
`public static final String`
`DRIVER_NAME`
`"DatabricksJDBC"`
`public static final String`
`NUMERIC_FUNCTIONS`
`"ABS,ACOS,ASIN,ATAN,ATAN2,CEILING,COS,COT,DEGREES,EXP,FLOOR,LOG,LOG10,MOD,PI,POWER,RADIANS,RAND,ROUND,SIGN,SIN,SQRT,TAN,TRUNCATE"`
`public static final String`
`PRODUCT_NAME`
`"SparkSQL"`
`public static final String`
`STRING_FUNCTIONS`
`"ASCII,CHAR,CHAR_LENGTH,CHARACTER_LENGTH,CONCAT,INSERT,LCASE,LEFT,LENGTH,LOCATE,LOCATE2,LTRIM,OCTET_LENGTH,POSITION,REPEAT,REPLACE,RIGHT,RTRIM,SOUNDEX,SPACE,SUBSTRING,UCASE"`
`public static final String`
`SYSTEM_FUNCTIONS`
`"DATABASE,IFNULL,USER"`
`public static final String`
`TIME_DATE_FUNCTIONS`
`"CURDATE,CURRENT_DATE,CURRENT_TIME,CURRENT_TIMESTAMP,CURTIME,DAYNAME,DAYOFMONTH,DAYOFWEEK,DAYOFYEAR,HOUR,MINUTE,MONTH,MONTHNAME,NOW,QUARTER,SECOND,TIMESTAMPADD,TIMESTAMPDIFF,WEEK,YEAR"`
com.databricks.jdbc.api.impl.DatabricksResultSet
Modifier and Type
Constant Field
Value
`protected static final String`
`AFFECTED_ROWS_COUNT`
`"num_affected_rows"`

com.databricks.jdbc.api.impl.converters.ObjectConverter
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TIMESTAMP_SCALE`
`3`

com.databricks.jdbc.auth.AuthConstants
Modifier and Type
Constant Field
Value
`public static final String`
`GRANT_TYPE_KEY`
`"grant_type"`
`public static final String`
`GRANT_TYPE_REFRESH_TOKEN_KEY`
`"refresh_token"`

com.databricks.jdbc.common.DatabricksJdbcConstants
Modifier and Type
Constant Field
Value
`public static final String`
`AAD_CLIENT_ID`
`"databricks-sql-jdbc"`
`public static final String`
`ACCESS_TOKEN_AUTH_TYPE`
`"pat"`
`public static final String`
`ALLOWED_STAGING_INGESTION_PATHS`
`"StagingAllowedLocalPaths"`
`public static final String`
`ALLOWED_VOLUME_INGESTION_PATHS`
`"VolumeOperationAllowedLocalPaths"`
`public static final String`
`ARROW_METADATA_KEY`
`"Spark:DataType:SqlName"`
`public static final String`
`ASTERISK`
`"*"`
`public static final String`
`AWS_CLIENT_ID`
`"databricks-sql-jdbc"`
`public static final String`
`AZURE_MSI_AUTH_TYPE`
`"azure-msi"`
`public static final String`
`BACKWARD_SLASH`
`"\\"`
`public static final String`
`CATALOG`
`"catalog"`
`public static final String`
`COMMA`
`","`
`public static final String`
`DEFAULT_HTTP_EXCEPTION_SQLSTATE`
`"08000"`
`public static final int`
`DEFAULT_MAX_CONCURRENT_PRESIGNED_REQUESTS`
`50`
`public static final int`
`DEFAULT_MAX_HTTP_CONNECTIONS_PER_ROUTE`
`1000`
`public static final int`
`DEFAULT_PORT`
`443`
`public static final String`
`DEFAULT_SCHEMA`
`"default"`
`public static final int`
`DEFAULT_UC_INGESTION_RETRY_TIMEOUT_SECONDS`
`900`
`public static final String`
`DEFAULT_USERNAME`
`"token"`
`public static final int`
`DEFUALT_STRING_COLUMN_LENGTH`
`255`
`public static final String`
`EMPTY_STRING`
`""`
`public static final String`
`ENABLE_VOLUME_OPERATIONS`
`"enableVolumeOperations"`
`public static final String`
`FAKE_SERVICE_URI_PROP_SUFFIX`
`".fakeServiceURI"`
`public static final String`
`FULL_STOP`
`"."`
`public static final String`
`GCP_CLIENT_ID`
`"databricks-sql-jdbc"`
`public static final String`
`GCP_GOOGLE_CREDENTIALS_AUTH_TYPE`
`"google-credentials"`
`public static final String`
`GCP_GOOGLE_ID_AUTH_TYPE`
`"google-id"`
`public static final String`
`HTTP`
`"http"`
`public static final String`
`HTTP_SCHEMA`
`"http://"`
`public static final String`
`HTTPS`
`"https"`
`public static final String`
`HTTPS_SCHEMA`
`"https://"`
`public static final String`
`IDENTIFIER_QUOTE_STRING`
`"`"`
`public static final String`
`INVALID_SESSION_STATE_MSG`
`"invalid session"`
`public static final String`
`IS_FAKE_SERVICE_TEST_PROP`
`"isFakeServiceTest"`
`public static final String`
`IS_JDBC_TEST_ENV`
`"IS_JDBC_TEST_ENV"`
`public static final String`
`JDBC_SCHEMA`
`"jdbc:databricks://"`
`public static final String`
`LOGIN_TIMEOUT`
`"loginTimeout"`
`public static final String`
`M2M_AUTH_TYPE`
`"oauth-m2m"`
`public static final String`
`M2M_AZURE_CLIENT_SECRET_AUTH_TYPE`
`"azure-client-secret"`
`public static final int`
`MAX_DEFAULT_STRING_COLUMN_LENGTH`
`32767`
`public static final int`
`MAX_QUERY_PARAMETERS`
`256`
`public static final String`
`OFFLINE_ACCESS_SCOPE`
`"offline_access"`
`public static final String`
`PAIR_DELIMITER`
`"="`
`public static final String`
`PIPE`
`"|"`
`public static final String`
`PKIX`
`"PKIX"`
`public static final String`
`PORT`
`"port"`
`public static final String`
`PORT_DELIMITER`
`":"`
`public static final String`
`PROCEDURE`
`"procedure"`
`public static final String`
`REDACTED_TOKEN`
`"****"`
`public static final String`
`SCHEMA`
`"schema"`
`public static final String`
`SCHEMA_DELIMITER`
`"://"`
`public static final String`
`SQL_SCOPE`
`"sql"`
`public static final String`
`TABLE`
`"table"`
`public static final int`
`TEMPORARY_REDIRECT_STATUS_CODE`
`307`
`public static final String`
`THRIFT_ERROR_MESSAGE_HEADER`
`"X-Thriftserver-Error-Message"`
`public static final String`
`TLS`
`"TLS"`
`public static final String`
`U2M_AUTH_TYPE`
`"external-browser"`
`public static final String`
`URL_DELIMITER`
`";"`
`public static final String`
`USER_AGENT_DELIMITER`
`" "`
`public static final String`
`USER_NAME`
`"User"`
`public static final int`
`UUID_LENGTH`
`16`
`public static final String`
`VALID_UID_VALUE`
`"token"`
`public static final int`
`VOLUME_OPERATION_MAX_RETRIES`
`3`
`public static final String`
`VOLUME_OPERATION_STATUS_COLUMN_NAME`
`"operation_status"`
`public static final String`
`VOLUME_OPERATION_STATUS_SUCCEEDED`
`"SUCCEEDED"`
com.databricks.jdbc.common.EnvironmentVariables
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BYTE_LIMIT`
`404857600`
`public static final boolean`
`DEFAULT_ESCAPE_PROCESSING`
`false`
`public static final int`
`DEFAULT_RESULT_ROW_LIMIT`
`0`
`public static final int`
`DEFAULT_ROW_LIMIT_PER_BLOCK`
`2000000`
`public static final int`
`DEFAULT_SLEEP_DELAY`
`100`
`public static final int`
`DEFAULT_STATEMENT_TIMEOUT_SECONDS`
`0`
com.databricks.jdbc.common.MetadataResultConstants
Modifier and Type
Constant Field
Value
`public static final String`
`PARSE_SYNTAX_ERROR_SQL_STATE`
`"42601"`

com.databricks.jdbc.common.util.DatabricksTypeUtil
Modifier and Type
Constant Field
Value
`public static final String`
`ARRAY`
`"ARRAY"`
`public static final String`
`BIGINT`
`"BIGINT"`
`public static final String`
`BINARY`
`"BINARY"`
`public static final String`
`BOOLEAN`
`"BOOLEAN"`
`public static final String`
`BYTE`
`"BYTE"`
`public static final String`
`CHAR`
`"CHAR"`
`public static final String`
`DATE`
`"DATE"`
`public static final String`
`DECIMAL`
`"DECIMAL"`
`public static final String`
`DOUBLE`
`"DOUBLE"`
`public static final String`
`FLOAT`
`"FLOAT"`
`public static final String`
`INT`
`"INT"`
`public static final String`
`INTERVAL`
`"INTERVAL"`
`public static final String`
`LONG`
`"LONG"`
`public static final String`
`MAP`
`"MAP"`
`public static final String`
`MEASURE`
`"measure"`
`public static final String`
`NULL`
`"NULL"`
`public static final String`
`SMALLINT`
`"SHORT"`
`public static final String`
`STRING`
`"STRING"`
`public static final String`
`STRUCT`
`"STRUCT"`
`public static final String`
`TIME`
`"TIME"`
`public static final String`
`TIMESTAMP`
`"TIMESTAMP"`
`public static final String`
`TIMESTAMP_NTZ`
`"TIMESTAMP_NTZ"`
`public static final String`
`TINYINT`
`"TINYINT"`
`public static final String`
`VARIANT`
`"VARIANT"`
`public static final String`
`VOID`
`"VOID"`
com.databricks.jdbc.common.util.UserAgentManager
Modifier and Type
Constant Field
Value
`public static final String`
`USER_AGENT_SEA_CLIENT`
`"SQLExecHttpClient"`
`public static final String`
`USER_AGENT_THRIFT_CLIENT`
`"THttpClient"`
com.databricks.jdbc.common.util.VolumeRetryUtil
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_RETRIES`
`3`

com.databricks.jdbc.dbclient.impl.common.CommandConstants
Modifier and Type
Constant Field
Value
`public static final String`
`GET_CATALOGS_STATEMENT_ID`
`"getcatalogs-metadata"`
`public static final String`
`GET_FUNCTIONS_STATEMENT_ID`
`"getfunctions-metadata"`
`public static final String`
`GET_TABLE_TYPE_STATEMENT_ID`
`"gettabletype-metadata"`
`public static final String`
`GET_TABLES_STATEMENT_ID`
`"gettables-metadata"`
`public static final String`
`IN_ABSOLUTE_SCHEMA_SQL`
`" IN SCHEMA %s"`
`public static final String`
`IN_ABSOLUTE_TABLE_SQL`
`" IN TABLE %s"`
`public static final String`
`IN_ALL_CATALOGS_SQL`
`" IN ALL CATALOGS"`
`public static final String`
`IN_CATALOG_SQL`
`" IN CATALOG %s"`
`public static final String`
`LIKE_SQL`
`" LIKE \'%s\'"`
`public static final String`
`METADATA_STATEMENT_ID`
`"metadata-statement"`
`public static final String`
`SCHEMA_LIKE_SQL`
`" SCHEMA LIKE \'%s\'"`
`public static final String`
`SHOW_CATALOGS_SQL`
`"SHOW CATALOGS"`
`public static final String`
`SHOW_COLUMNS_SQL`
`"SHOW COLUMNS IN CATALOG %s"`
`public static final String`
`SHOW_FOREIGN_KEYS_SQL`
`"SHOW FOREIGN KEYS IN CATALOG %s IN SCHEMA %s IN TABLE %s"`
`public static final String`
`SHOW_FUNCTIONS_SQL`
`"SHOW FUNCTIONS IN CATALOG %s"`
`public static final String`
`SHOW_PRIMARY_KEYS_SQL`
`"SHOW KEYS IN CATALOG %s IN SCHEMA %s IN TABLE %s"`
`public static final String`
`SHOW_SCHEMAS_IN_ALL_CATALOGS_SQL`
`"SHOW SCHEMAS IN ALL CATALOGS"`
`public static final String`
`SHOW_SCHEMAS_IN_CATALOG_SQL`
`"SHOW SCHEMAS IN %s"`
`public static final String`
`SHOW_TABLE_TYPES_SQL`
`"SHOW TABLE_TYPES"`
`public static final String`
`SHOW_TABLES_IN_ALL_CATALOGS_SQL`
`"SHOW TABLES IN ALL CATALOGS"`
`public static final String`
`SHOW_TABLES_SQL`
`"SHOW TABLES IN CATALOG %s"`
`public static final String`
`TABLE_LIKE_SQL`
`" TABLE LIKE \'%s\'"`
com.databricks.jdbc.dbclient.impl.common.TracingUtil
Modifier and Type
Constant Field
Value
`public static final String`
`TRACE_HEADER`
`"traceparent"`

com.databricks.jdbc.dbclient.impl.sqlexec.PathConstants
Modifier and Type
Constant Field
Value
`public static final String`
`CANCEL_STATEMENT_PATH_WITH_ID`
`"/api/2.0/sql/statements/%s/cancel"`
`public static final String`
`CREATE_DELETE_URL_PATH`
`"/api/2.0/fs/create-delete-url"`
`public static final String`
`CREATE_DOWNLOAD_URL_PATH`
`"/api/2.0/fs/create-download-url"`
`public static final String`
`CREATE_UPLOAD_URL_PATH`
`"/api/2.0/fs/create-upload-url"`
`public static final String`
`FS_BASE_PATH`
`"/api/2.0/fs"`
`public static final String`
`LIST_PATH`
`"/api/2.0/fs/list"`
`public static final String`
`RESULT_CHUNK_PATH`
`"/api/2.0/sql/statements/%s/result/chunks/%s"`
`public static final String`
`SESSION_PATH`
`"/api/2.0/sql/sessions/"`
`public static final String`
`SESSION_PATH_WITH_ID`
`"/api/2.0/sql/sessions/%s"`
`public static final String`
`STATEMENT_PATH`
`"/api/2.0/sql/statements/"`
`public static final String`
`STATEMENT_PATH_WITH_ID`
`"/api/2.0/sql/statements/%s"`
`public static final String`
`TELEMETRY_PATH`
`"/telemetry-ext"`
`public static final String`
`TELEMETRY_PATH_UNAUTHENTICATED`
`"/telemetry-unauth"`

com.databricks.jdbc.log.JdbcLoggerFactory
Modifier and Type
Constant Field
Value
`public static final String`
`LOGGER_IMPL_PROPERTY`
`"com.databricks.jdbc.loggerImpl"`
com.databricks.jdbc.log.JulLogger
Modifier and Type
Constant Field
Value
`public static final String`
`DATABRICKS_LOG_FILE`
`"databricks_jdbc.log"`
`public static final String`
`JAVA_UTIL_LOGGING_CONFIG_FILE`
`"java.util.logging.config.file"`
`public static final String`
`STDOUT`
`"STDOUT"`

com.databricks.jdbc.model.client.thrift.generated.TCLIServiceConstants
Modifier and Type
Constant Field
Value
`public static final String`
`CHARACTER_MAXIMUM_LENGTH`
`"characterMaximumLength"`
`public static final String`
`PRECISION`
`"precision"`
`public static final String`
`SCALE`
`"scale"`